module.exports = "import * as React from 'react';\r\nimport { Callout } from './Callout';\r\nimport { CalloutContent } from './CalloutContent';\r\nimport { DirectionalHint } from '../../common/DirectionalHint';\r\nimport { IPositionProps } from '../../utilities/positioning';\r\n\r\nexport interface ICalloutProps extends React.Props<Callout|CalloutContent>, IPositionProps {\r\n  /**\r\n   * Element to anchor the callout to.\r\n   */\r\n  targetElement?: HTMLElement;\r\n\r\n  /**\r\n   * Indicator of how the callout should be anchored to its targetElement.\r\n   * @default DirectionalHint.rightCenter\r\n   */\r\n  directionalHint?: DirectionalHint;\r\n\r\n  /**\r\n   * The gap space between the target element and the callout.\r\n   * @default 16\r\n   */\r\n  gapSpace?: number;\r\n\r\n /**\r\n   * @deprecated\r\n   * Deprecated at v0.59.1, to be removed at >= v1.0.0. Pass in a beakWidth to dictate size.\r\n   */\r\n  beakStyle?: string;\r\n\r\n  /**\r\n   * The beak width of the selected beakStyle.\r\n   * @default 28\r\n   */\r\n  beakWidth?: number;\r\n\r\n  /**\r\n   * Whether the beak should be visible.\r\n   * @default true\r\n   */\r\n  isBeakVisible?: boolean;\r\n\r\n  /**\r\n   * CSS class to apply to the callout.\r\n   * @default null\r\n   */\r\n  className?: string;\r\n\r\n  /**\r\n   * Optional callback when the layer content has mounted.\r\n   */\r\n  onLayerMounted?: () => void;\r\n\r\n  /**\r\n   * Callback when the Callout tries to close.\r\n   */\r\n  onDismiss?: (ev?: any) => void;\r\n\r\n  /**\r\n   * If true do not render on a new layer. If false render on a new layer.\r\n   */\r\n  doNotLayer?: boolean;\r\n\r\n  /**\r\n   * If true then the callout will attempt to focus the first focusable element that it contains.\r\n   * If it doesn't find an element, no focus will be set and the method will return false.\r\n   * This means that it's the contents responsibility to either set focus or have\r\n   * focusable items.\r\n   * @returns True if focus was set, false if it was not.\r\n   */\r\n  setInitialFocus?: boolean;\r\n}\r\n";